Bug 27072 - Listview Context Actions not removed if a different item is tapped in Android
Summary: Listview Context Actions not removed if a different item is tapped in Android
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.3
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-02-15 05:22 UTC by derek_papworth
Modified: 2015-09-03 15:59 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description derek_papworth 2015-02-15 05:22:28 UTC
When using Listview Context Actions in Android, if you long tap an item which brings up the action bar at the top and then click (single tap) on say another item in the list which opens that item the Contact Action bar at the top is not being removed and is still there which not only covers the new page's toolbar but also is still actionable.
Comment 1 Keith Rome 2015-02-20 21:12:09 UTC
I ran into the same problem today. It appears to arise from the Android platform's CellAdapter class. The private ActionMode's Finish() method is only ever called when one of the displayed menu items is tapped, or if another longclick is performed. It is not aware of navigation or other events.
Comment 2 Jason Smith [MSFT] 2015-03-09 18:42:48 UTC
Should be fixed in 1.4.0 final
Comment 3 ed 2015-03-23 12:15:10 UTC
Is that bug closed? I tried that feature on a listview on Android and iOs with Xamarin.Forms, works well with iOs, but get the same problem described here on Android. Using Xamarin Forms 1.4.0.6341 where the bug should have been resolved...
Comment 4 ed 2015-03-23 12:41:13 UTC
Just tried the "Xamarin.Forms 1.4.1.6347-pre2" and got the same bug.

I long tap on an item : context action bar for that item is shown

I long tap on another item of the list : context action bar of the previous long tapped item still shown. If i single tap on that item, nothing happens.
Comment 5 Carlos 2015-09-03 15:59:58 UTC
This is still a problem in 1.4.4.6392